src/ctwr/cs_ctwr.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Typedefs | Functions | Variables
cs_ctwr.h File Reference
`#include <ple_locator.h>`
`#include "fvm_nodal.h"`
`#include "cs_base.h"`
`#include "cs_halo.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
Include dependency graph for cs_ctwr.h:

Go to the source code of this file.

## Typedefs
typedef struct _cs_ctwr_zone_t | cs_ctwr_zone_t

## Functions
void | defct1 (const cs_int_t *idimct, const char *zecrit, cs_int_t *ze_n_len, const cs_int_t *imctch, const cs_int_t *ntypct, const cs_int_t *nelect, const cs_real_t *deltat, const cs_real_t *teau, const cs_real_t *fem, const cs_real_t *xap, const cs_real_t *xnp, const cs_real_t *surface, const cs_real_t *dgout)
void | nbzect (cs_int_t *nbrctz)
void | aemode (cs_int_t *imctch)
void | aeprot (cs_real_t *delta)
void | aeteau (cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | aetssc (const cs_int_t *iscal, cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t utsim[], cs_real_t utsex[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | aetsvi (const cs_int_t *const idim, const cs_real_t rho[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[], const cs_real_t xair[], cs_real_t utsex[])
void | bilanct (const cs_real_t *const time, cs_real_t fem_entree[], cs_real_t fem_sortie[], cs_real_t teau_entree[], cs_real_t teau_sortie[], cs_real_t heau_entree[], cs_real_t heau_sortie[], cs_real_t tair_entree[], cs_real_t tair_sortie[], cs_real_t xair_entree[], cs_real_t xair_sortie[], cs_real_t hair_entree[], cs_real_t hair_sortie[], cs_real_t debit_entree[], cs_real_t debit_sortie[], const cs_real_t temp[], const cs_real_t xa[], const cs_real_t flux_masse_fac[], const cs_real_t flux_masse_fbr[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[])
void | pstict (void)
void | ecrctw (const char *const nomsui, const cs_int_t *const lngnom)
void | lecctw (const char *const nomsui, const cs_int_t *const lngnom)
void | cs_ctwr_definit (const cs_int_t idimct, const char *ze_crit, const cs_int_t imctch, const cs_int_t ntypct, const cs_int_t nelect, const cs_real_t deltat, const cs_real_t teau_cl, const cs_real_t fem_cl, const cs_real_t xap, const cs_real_t xnp, const cs_real_t surface, const cs_real_t dgout)
void | cs_ctwr_all_destroy (void)
void | cs_ctwr_aeteau (cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | cs_ctwr_aetssc (const cs_int_t iscal, cs_real_t temp[], cs_real_t xa[], cs_real_t rho[], cs_real_t utsim[], cs_real_t utsex[], cs_real_t vitx[], cs_real_t vity[], cs_real_t vitz[])
void | cs_ctwr_aetsvi (const cs_int_t idim, const cs_real_t rho[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[], const cs_real_t xair[], cs_real_t utsex[])
void | cs_ctwr_bilanct (const cs_real_t time, cs_real_t fem_entree[], cs_real_t fem_sortie[], cs_real_t teau_entree[], cs_real_t teau_sortie[], cs_real_t heau_entree[], cs_real_t heau_sortie[], cs_real_t tair_entree[], cs_real_t tair_sortie[], cs_real_t xair_entree[], cs_real_t xair_sortie[], cs_real_t hair_entree[], cs_real_t hair_sortie[], cs_real_t debit_entree[], cs_real_t debit_sortie[], const cs_real_t temp[], const cs_real_t xa[], const cs_real_t flux_masse_fac[], const cs_real_t flux_masse_fbr[], const cs_real_t vitx[], const cs_real_t vity[], const cs_real_t vitz[], const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)
void | cs_ctwr_post_init (cs_int_t ct_id, cs_int_t writer_id)
cs_ctwr_zone_t * | cs_ctwr_by_id (cs_int_t ct_id)

## Variables
cs_int_t | cs_glob_ct_nbr_max
cs_int_t | cs_glob_ct_nbr
cs_ctwr_zone_t ** | cs_glob_ct_tab
cs_int_t * | cs_stack_ct
cs_int_t * | cs_chain_ct

## Typedef Documentation

typedef struct _cs_ctwr_zone_t cs_ctwr_zone_t

## Function Documentation

void aemode | ( | cs_int_t * | imctch | ) |

void aeprot | ( | cs_real_t * | delta | ) |

void aeteau | ( | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void aetssc | ( | const cs_int_t * | iscal,
|  | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | utsim[],
|  | cs_real_t | utsex[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void aetsvi | ( | const cs_int_t *const | idim,
|  | const cs_real_t | rho[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[],
|  | const cs_real_t | xair[],
|  | cs_real_t | utsex[]
| ) |  |

void bilanct | ( | const cs_real_t *const | time,
|  | cs_real_t | fem_entree[],
|  | cs_real_t | fem_sortie[],
|  | cs_real_t | teau_entree[],
|  | cs_real_t | teau_sortie[],
|  | cs_real_t | heau_entree[],
|  | cs_real_t | heau_sortie[],
|  | cs_real_t | tair_entree[],
|  | cs_real_t | tair_sortie[],
|  | cs_real_t | xair_entree[],
|  | cs_real_t | xair_sortie[],
|  | cs_real_t | hair_entree[],
|  | cs_real_t | hair_sortie[],
|  | cs_real_t | debit_entree[],
|  | cs_real_t | debit_sortie[],
|  | const cs_real_t | temp[],
|  | const cs_real_t | xa[],
|  | const cs_real_t | flux_masse_fac[],
|  | const cs_real_t | flux_masse_fbr[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[]
| ) |  |

void cs_ctwr_aeteau | ( | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void cs_ctwr_aetssc | ( | const cs_int_t | iscal,
|  | cs_real_t | temp[],
|  | cs_real_t | xa[],
|  | cs_real_t | rho[],
|  | cs_real_t | utsim[],
|  | cs_real_t | utsex[],
|  | cs_real_t | vitx[],
|  | cs_real_t | vity[],
|  | cs_real_t | vitz[]
| ) |  |

void cs_ctwr_aetsvi | ( | const cs_int_t | idim,
|  | const cs_real_t | rho[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[],
|  | const cs_real_t | xair[],
|  | cs_real_t | utsex[]
| ) |  |

void cs_ctwr_all_destroy | ( | void |  | ) |

void cs_ctwr_bilanct | ( | const cs_real_t | time,
|  | cs_real_t | fem_entree[],
|  | cs_real_t | fem_sortie[],
|  | cs_real_t | teau_entree[],
|  | cs_real_t | teau_sortie[],
|  | cs_real_t | heau_entree[],
|  | cs_real_t | heau_sortie[],
|  | cs_real_t | tair_entree[],
|  | cs_real_t | tair_sortie[],
|  | cs_real_t | xair_entree[],
|  | cs_real_t | xair_sortie[],
|  | cs_real_t | hair_entree[],
|  | cs_real_t | hair_sortie[],
|  | cs_real_t | debit_entree[],
|  | cs_real_t | debit_sortie[],
|  | const cs_real_t | temp[],
|  | const cs_real_t | xa[],
|  | const cs_real_t | flux_masse_fac[],
|  | const cs_real_t | flux_masse_fbr[],
|  | const cs_real_t | vitx[],
|  | const cs_real_t | vity[],
|  | const cs_real_t | vitz[],
|  | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

cs_ctwr_zone_t* cs_ctwr_by_id | ( | cs_int_t | ct_id | ) |

void cs_ctwr_definit | ( | const cs_int_t | idimct,
|  | const char * | ze_crit,
|  | const cs_int_t | imctch,
|  | const cs_int_t | ntypct,
|  | const cs_int_t | nelect,
|  | const cs_real_t | deltat,
|  | const cs_real_t | teau_cl,
|  | const cs_real_t | fem_cl,
|  | const cs_real_t | xap,
|  | const cs_real_t | xnp,
|  | const cs_real_t | surface,
|  | const cs_real_t | dgout
| ) |  |

void cs_ctwr_post_init | ( | cs_int_t | ct_id,
|  | cs_int_t | writer_id
| ) |  |

void defct1 | ( | const cs_int_t * | idimct,
|  | const char * | zecrit,
|  | cs_int_t * | ze_n_len,
|  | const cs_int_t * | imctch,
|  | const cs_int_t * | ntypct,
|  | const cs_int_t * | nelect,
|  | const cs_real_t * | deltat,
|  | const cs_real_t * | teau,
|  | const cs_real_t * | fem,
|  | const cs_real_t * | xap,
|  | const cs_real_t * | xnp,
|  | const cs_real_t * | surface,
|  | const cs_real_t * | dgout
| ) |  |

void ecrctw | ( | const char *const | nomsui,
|  | const cs_int_t *const | lngnom
| ) |  |

void lecctw | ( | const char *const | nomsui,
|  | const cs_int_t *const | lngnom
| ) |  |

void nbzect | ( | cs_int_t * | nbrctz | ) |

void pstict | ( | void |  | ) |

## Variable Documentation

cs_int_t* cs_chain_ct

cs_int_t cs_glob_ct_nbr

cs_int_t cs_glob_ct_nbr_max

(end ignore by Doxygen)

cs_ctwr_zone_t** cs_glob_ct_tab

cs_int_t* cs_stack_ct